> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Create a custom notation

POST https://{tenant_name}.benchling.com/api/v2-beta/custom-notations
Content-Type: application/json

Create a custom notation

Reference: https://docs.benchling.com/docs/api/v2-beta/benchling-api-beta/custom-notations/create-custom-notation

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a CustomNotationCreate.

- `isCaseSensitive` (boolean, optional) — Whether the custom notation is case sensitive.
- `name` (string, optional) — Name of custom notation
- `nullifyEndPhosphate` (boolean, optional) — When enabled, the parser will emit a null phosphate for any token mapped to a natural phosphate when it occurs as the final 3' nucleotide in a sequence.
- `prefilterTerminals` (CustomNotationPrefilterTerminals, optional) — Configuration for an optional feature where unrecognized tokens at the 5'/3' terminal ends of an input sequence can be stripped and output to schema fields.
- `useSharedDelimiter` (CustomNotationCreateUseSharedDelimiter, optional) — By default the system assumes that all delimiters "belong" to a single token (such as in a notation like "[A][B][C]"). This setting allows specifying a single "shared" delimiter instead, e.g. the commas in "A,B,C".

## Response

### 201

Created

- `aliases` (list of CustomNotationAlias, optional)
- `id` (string, optional)
- `name` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### CustomNotationPrefilterTerminals

Configuration for an optional feature where unrecognized tokens at the 5'/3' terminal ends of an input sequence can be stripped and output to schema fields.

- `fivePrimeLeftDelimiter` (string, optional, nullable)
- `fivePrimeRightDelimiter` (string, optional)
- `maxDepth` (integer, optional, nullable)
- `threePrimeLeftDelimiter` (string, optional)
- `threePrimeRightDelimiter` (string, optional, nullable)

### CustomNotationCreateUseSharedDelimiter

By default the system assumes that all delimiters "belong" to a single token (such as in a notation like "[A][B][C]"). This setting allows specifying a single "shared" delimiter instead, e.g. the commas in "A,B,C".

- `delimiter` (string, optional)

### CustomNotationAlias

- `baseMonomerId` (string, optional)
- `customNotationId` (string, optional)
- `id` (string, optional)
- `phosphateMonomerId` (string, optional, nullable)
- `rank` (double, optional)
- `sugarMonomerId` (string, optional)
- `token` (string, optional)
- `tokenVariantEnd` (string, optional, nullable)
- `tokenVariantStart` (string, optional, nullable)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "aliases": [
    {
      "baseMonomerId": "mon_a1b2c3",
      "customNotationId": "sntx_a1b2c3",
      "id": "sntxals_a1b2c3",
      "phosphateMonomerId": "mon_a1b2c3",
      "rank": 1.1,
      "sugarMonomerId": "mon_a1b2c3",
      "token": "string",
      "tokenVariantEnd": "string",
      "tokenVariantStart": "string"
    }
  ],
  "id": "sntx_lRe007yZ",
  "name": "Your Custom Notation"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2-beta/custom-notations"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2-beta/custom-notations';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```